Bug 107372 - [CI][BAT] igt@kms_psr@* - dmesg-warn / dmesg-fail - PSR idle timed out, atomic update may fail
Summary: [CI][BAT] igt@kms_psr@* - dmesg-warn / dmesg-fail - PSR idle timed out, atomi...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Dhinakaran Pandiyan
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-25 10:31 UTC by Martin Peres
Modified: 2018-08-29 10:13 UTC (History)
1 user (show)

See Also:
i915 platform: CNL
i915 features: display/PSR


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Dhinakaran Pandiyan 2018-08-28 16:48:19 UTC
With the below patch, this should now be a test assertion failure instead of dmesg-fail

drm/i915/psr: Remove wait_for_idle() for PSR2
CI runs show PSR2 does not go to IDLE with selective update enabled on
all PSR exit triggers. Specifically, logs indicate the hardware enters
"SLEEP Selective Update" and not "IDLE Reset state', like the kernel
expects, when vblank interrupts are enabled. This check was added for PSR1
but incorrectly extended to PSR2, remove the check as it breaks tests
and prints out misleading error messages.

v2: Split out non-code changes (Rodrigo)

Cc: Tarun Vyas <tarun.vyas@intel.com>
Cc: José Roberto de Souza <jose.souza@intel.com>
Cc: Rodrigo Vivi <rodrigo.vivi@intel.com>
Fixes: c43dbcbbcc8c ("drm/i915/psr: Lockless version of psr_wait_for_idle")
Signed-off-by: Dhinakaran Pandiyan <dhinakaran.pandiyan@intel.com>
Reviewed-by: Rodrigo Vivi <rodrigo.vivi@intel.com>
Link: https://patchwork.freedesktop.org/patch/msgid/20180824230844.12428-1-dhinakaran.pandiyan@intel.com
Comment 2 Martin Peres 2018-08-29 09:32:13 UTC
This indeed fixed it. Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.